Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class Document

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Document

All Implemented Interfaces:
  java.lang.Comparable, XMLSerializable

Direct Known Subclasses:
  DocumentFile, DocumentLink

public abstract class Document
extends java.lang.Object
implements java.lang.Comparable, XMLSerializable

Document
Classe abstraite définissant les comportements par défaut d'un document
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.3 $
Author:
  Mathieu Larchet

Field Summary
`static int` | `FILE`
`static int` | `LINK`

Constructor Summary
`Document()` Constructeur

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare deux documents suivant leur nom Implements Comparable interface
`abstract boolean` | `equals(java.lang.Object o)` Teste l'égalité de deux documents Override Object.equals() method
`java.lang.String` | `getAuthor()` Retourne l'auteur
`java.lang.String` | `getDate()` Retourne la date de dépôt / modification
`java.lang.String` | `getDescription()` Retourne la description
`java.lang.String` | `getFolderid()` Positionne le dossier
`java.lang.String` | `getId()` Retourne l'identifiant
`java.lang.String` | `getIntranet()` Retourne l'identifiant d'intranet
`java.lang.String` | `getName()` Retourne le nom
`java.lang.String` | `getOrder()` Retourne le numéro d'ordre
`int` | `getType()` Retourne le type de document
`java.lang.String` | `getValidityDate()` Retourne la date de validité
`java.lang.String` | `getValidityInput()` Retourne la date de validité au format jj/mm/aaaa
`boolean` | `isPendingDeletion()` Retourne l'état de suppression
`boolean` | `isPendingModification()` Retourne l'état de modification
`boolean` | `isPerimed()` Indique si le document est périmé
`boolean` | `isValid()` Retourne la validité
`boolean` | `isVisible()` Retourne la visibilité
`void` | `setAuthor(java.lang.String author)` Positionne l'auteur
`void` | `setDate(java.lang.String date)` Positionne la date de dépôt / modification
`void` | `setDescription(java.lang.String description)` Positionne la description
`void` | `setFolderid(java.lang.String folderid)` Retourne le dossier
`void` | `setId(java.lang.String id)` Positionne l'identifiant
`void` | `setIntranet(java.lang.String intranet)` Retourne l'identifiant d'intranet
`void` | `setName(java.lang.String name)` Positionne le nom
`void` | `setOrder(java.lang.String order)` Positionne le numéro d'ordre
`void` | `setPendingDeletion(boolean pendingDeletion)` Positionne l'état de suppression
`void` | `setPendingModification(boolean pendingModification)` Positionne l'état de modification
`void` | `setType(int type)` Positionne le type de document
`void` | `setValid(boolean valid)` Positionne la validité
`void` | `setValidityDate(java.lang.String validityDate)` Positionne la date de validité
`void` | `setVisible(boolean visible)` Positionne la visibilité
`abstract java.lang.String` | `toXMLString()` La représentation XML de cet objet Implements XMLSerializable interface

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LINK

    public static final int LINK

See Also:
  Constant Field Values

### FILE

    public static final int FILE

See Also:
  Constant Field Values

Constructor Detail

### Document

    public Document()

  Constructeur

Method Detail

### getType

    public int getType()

  Retourne le type de document

  Returns:
    type Document.LINK | Document.FILE

### setType

    public void setType(int type)

  Positionne le type de document

  Parameters:
    `type` - Document.LINK | Document.FILE

### getId

    public java.lang.String getId()

  Retourne l'identifiant

  Returns:
    id L'identifiant

### setId

    public void setId(java.lang.String id)

  Positionne l'identifiant

  Parameters:
    `id` - L'identifiant

### getIntranet

    public java.lang.String getIntranet()

  Retourne l'identifiant d'intranet

  Returns:
    intranet L'identifiant

### setIntranet

    public void setIntranet(java.lang.String intranet)

  Retourne l'identifiant d'intranet

  Parameters:
    `intranet` - L'identifiant

### getFolderid

    public java.lang.String getFolderid()

  Positionne le dossier

  Returns:
    folderid Le dossier

### setFolderid

    public void setFolderid(java.lang.String folderid)

  Retourne le dossier

  Parameters:
    `folderid` - Le dossier

### getName

    public java.lang.String getName()

  Retourne le nom

  Returns:
    name Le nom

### setName

    public void setName(java.lang.String name)

  Positionne le nom

  Parameters:
    `name` - Le nom

### getDescription

    public java.lang.String getDescription()

  Retourne la description

  Returns:
    description La description

### setDescription

    public void setDescription(java.lang.String description)

  Positionne la description

  Parameters:
    `description` - La description

### getAuthor

    public java.lang.String getAuthor()

  Retourne l'auteur

  Returns:
    author L'auteur

### setAuthor

    public void setAuthor(java.lang.String author)

  Positionne l'auteur

  Parameters:
    `author` - L'auteur

### getDate

    public java.lang.String getDate()

  Retourne la date de dépôt / modification

  Returns:
    La date

### setDate

    public void setDate(java.lang.String date)

  Positionne la date de dépôt / modification

  Parameters:
    `date` - La date

### getValidityDate

    public java.lang.String getValidityDate()

  Retourne la date de validité

  Returns:
    validityDate La date

### getValidityInput

    public java.lang.String getValidityInput()

  Retourne la date de validité au format jj/mm/aaaa

  Returns:
    validityDate La date

### setValidityDate

    public void setValidityDate(java.lang.String validityDate)

  Positionne la date de validité

  Parameters:
    `validityDate` - La date

### isPerimed

    public boolean isPerimed()

  Indique si le document est périmé

  Returns:
    perim La péremption

### getOrder

    public java.lang.String getOrder()

  Retourne le numéro d'ordre

  Returns:
    order L'ordre

### setOrder

    public void setOrder(java.lang.String order)

  Positionne le numéro d'ordre

  Parameters:
    `order` - L'ordre

### isValid

    public boolean isValid()

  Retourne la validité

  Returns:
    valid La validité

### setValid

    public void setValid(boolean valid)

  Positionne la validité

  Parameters:
    `valid` - La validité

### isVisible

    public boolean isVisible()

  Retourne la visibilité

  Returns:
    visible La visibilité

### setVisible

    public void setVisible(boolean visible)

  Positionne la visibilité

  Parameters:
    `visible` - La visibilité

### isPendingModification

    public boolean isPendingModification()

  Retourne l'état de modification

  Returns:
    pendingModification L'état de modification

### setPendingModification

    public void setPendingModification(boolean pendingModification)

  Positionne l'état de modification

  Parameters:
    `pendingModification` - L'état de modification

### isPendingDeletion

    public boolean isPendingDeletion()

  Retourne l'état de suppression

  Returns:
    pendingDeletion L'état de suppression

### setPendingDeletion

    public void setPendingDeletion(boolean pendingDeletion)

  Positionne l'état de suppression

  Parameters:
    `pendingDeletion` - L'état de suppression

### equals

    public abstract boolean equals(java.lang.Object o)

  Teste l'égalité de deux documents Override Object.equals() method

  Parameters:
    `o` - Objet à tester

### compareTo

    public int compareTo(java.lang.Object o)

  Compare deux documents suivant leur nom Implements Comparable interface

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - Objet à comparer

### toXMLString

    public abstract java.lang.String toXMLString()

  La représentation XML de cet objet Implements XMLSerializable interface

  Specified by:
    `toXMLString` in interface `XMLSerializable`
  Returns:
    Le flux XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD